[SRU] OpenStack Ussuri final release

Bug #1877642 reported by Corey Bryant on 2020-05-08
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
aodh (Ubuntu)
High
Unassigned
Focal
High
Unassigned
barbican (Ubuntu)
High
Unassigned
Focal
High
Unassigned
ceilometer (Ubuntu)
High
Unassigned
Focal
High
Unassigned
cinder (Ubuntu)
High
Unassigned
Focal
High
Unassigned
designate (Ubuntu)
High
Unassigned
Focal
High
Unassigned
designate-dashboard (Ubuntu)
High
Unassigned
Focal
High
Unassigned
glance (Ubuntu)
High
Unassigned
Focal
High
Unassigned
heat (Ubuntu)
High
Unassigned
Focal
High
Unassigned
heat-dashboard (Ubuntu)
High
Unassigned
Focal
High
Unassigned
horizon (Ubuntu)
High
Unassigned
Focal
High
Unassigned
ironic (Ubuntu)
High
Unassigned
Focal
High
Unassigned
ironic-inspector (Ubuntu)
High
Unassigned
Focal
High
Unassigned
keystone (Ubuntu)
High
Unassigned
Focal
High
Unassigned
magnum (Ubuntu)
High
Unassigned
Focal
High
Unassigned
manila (Ubuntu)
High
Unassigned
Focal
High
Unassigned
manila-ui (Ubuntu)
High
Unassigned
Focal
High
Unassigned
masakari (Ubuntu)
High
Unassigned
Focal
High
Unassigned
masakari-monitors (Ubuntu)
High
Unassigned
Focal
High
Unassigned
mistral (Ubuntu)
High
Unassigned
Focal
High
Unassigned
murano (Ubuntu)
High
Unassigned
Focal
High
Unassigned
murano-agent (Ubuntu)
High
Unassigned
Focal
High
Unassigned
murano-dashboard (Ubuntu)
High
Unassigned
Focal
High
Unassigned
networking-bagpipe (Ubuntu)
High
Unassigned
Focal
High
Unassigned
networking-bgpvpn (Ubuntu)
High
Unassigned
Focal
High
Unassigned
networking-hyperv (Ubuntu)
High
Unassigned
Focal
High
Unassigned
networking-l2gw (Ubuntu)
High
Unassigned
Focal
High
Unassigned
networking-mlnx (Ubuntu)
High
Unassigned
networking-odl (Ubuntu)
High
Unassigned
Focal
High
Unassigned
networking-sfc (Ubuntu)
High
Unassigned
Focal
High
Unassigned
neutron (Ubuntu)
High
Unassigned
Focal
High
Unassigned
neutron-dynamic-routing (Ubuntu)
High
Unassigned
Focal
High
Unassigned
neutron-fwaas (Ubuntu)
High
Unassigned
Focal
High
Unassigned
neutron-fwaas-dashboard (Ubuntu)
High
Unassigned
Focal
High
Unassigned
neutron-vpnaas (Ubuntu)
High
Unassigned
Focal
High
Unassigned
nova (Ubuntu)
High
Unassigned
Focal
High
Unassigned
octavia (Ubuntu)
High
Unassigned
Focal
High
Unassigned
octavia-dashboard (Ubuntu)
High
Unassigned
Focal
High
Unassigned
openstack-trove (Ubuntu)
High
Unassigned
Focal
High
Unassigned
panko (Ubuntu)
High
Unassigned
Focal
High
Unassigned
placement (Ubuntu)
High
Unassigned
Focal
High
Unassigned
python-ironic-lib (Ubuntu)
Undecided
Unassigned
Focal
High
Unassigned
sahara (Ubuntu)
High
Unassigned
Focal
High
Unassigned
sahara-dashboard (Ubuntu)
High
Unassigned
Focal
High
Unassigned
senlin (Ubuntu)
High
Unassigned
Focal
High
Unassigned
swift (Ubuntu)
High
Unassigned
Focal
High
Unassigned
trove-dashboard (Ubuntu)
High
Unassigned
Focal
High
Unassigned
vmware-nsx (Ubuntu)
High
Unassigned
Focal
High
Unassigned
watcher (Ubuntu)
High
Unassigned
Focal
High
Unassigned
watcher-dashboard (Ubuntu)
High
Unassigned
Focal
High
Unassigned
zaqar (Ubuntu)
High
Unassigned
Focal
High
Unassigned

Bug Description

[Impact]
This SRU includes the final release of OpenStack Ussuri for Focal which will also be backported to the Ubuntu Cloud Archive. The OpenStack Ussuri release is scheduled for one month after the release of Ubuntu Focal. This was discussed in more detail on the ubuntu-release mailing list here: https://lists.ubuntu.com/archives/ubuntu-release/2020-March/004911.html

[Test Case]
In order to avoid regression, the OpenStack team will run their continuous integration test against the packages that are in -proposed. A successful run of all available tests will be required before the proposed packages can be let into -updates.

The OpenStack team will be in charge of attaching the output summary of the executed tests. The OpenStack team members will not mark ‘verification-done’ until this has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned tests are attached to this bug.

[Discussion]
masakari has been moved back to triage state and 9.0.0-0ubuntu0.20.04.2 uploaded with fix for component mismatch. python3-sqlalchemy-utils from universe was added as (Build-)Depend in 9.0.0-0ubuntu0.20.04.1 and that is dropped in 9.0.0-0ubuntu0.20.04.2.

heat also has a component mismatch with preventing it from migrating out of groovy-proposed and focal-proposed. This is due to python3-ironicclient being in universe. It's py2 counterpart used to be in main via LP: #1376238 so I will check and see if we can the py3 version into main.

Related branches

affects: cloud-archive → nova (Ubuntu)
affects: nova (Ubuntu) → cinder (Ubuntu)
affects: cinder (Ubuntu) → nova (Ubuntu)
Changed in nova (Ubuntu):
status: New → Invalid
Changed in nova (Ubuntu Focal):
status: New → Triaged
importance: Undecided → High
Changed in aodh (Ubuntu):
status: New → Triaged
Changed in barbican (Ubuntu):
status: New → Triaged
Changed in ceilometer (Ubuntu):
status: New → Triaged
Changed in cinder (Ubuntu):
status: New → Triaged
Changed in designate (Ubuntu):
status: New → Triaged
Changed in designate-dashboard (Ubuntu):
status: New → Triaged
Changed in glance (Ubuntu):
status: New → Triaged
Changed in gnocchi (Ubuntu):
status: New → Triaged
Changed in heat (Ubuntu):
status: New → Triaged
Changed in heat-dashboard (Ubuntu):
status: New → Triaged
Changed in horizon (Ubuntu):
status: New → Triaged
Changed in ironic (Ubuntu):
status: New → Triaged
Changed in ironic-inspector (Ubuntu):
status: New → Triaged
Changed in keystone (Ubuntu):
status: New → Triaged
Changed in magnum (Ubuntu):
status: New → Triaged
Changed in manila (Ubuntu):
status: New → Triaged
Changed in manila-ui (Ubuntu):
status: New → Triaged
Changed in masakari (Ubuntu):
status: New → Triaged
Changed in masakari-monitors (Ubuntu):
status: New → Triaged
Changed in mistral (Ubuntu):
status: New → Triaged
Changed in murano (Ubuntu):
status: New → Triaged
Changed in murano-agent (Ubuntu):
status: New → Triaged
Changed in murano-dashboard (Ubuntu):
status: New → Triaged
Changed in networking-arista (Ubuntu):
status: New → Triaged
Changed in networking-bagpipe (Ubuntu):
status: New → Triaged
Changed in networking-bgpvpn (Ubuntu):
status: New → Triaged
Changed in networking-hyperv (Ubuntu):
status: New → Triaged
Changed in networking-l2gw (Ubuntu):
status: New → Triaged
Changed in networking-odl (Ubuntu):
status: New → Triaged
Changed in networking-sfc (Ubuntu):
status: New → Triaged
Changed in neutron (Ubuntu):
status: New → Triaged
Changed in neutron-dynamic-routing (Ubuntu):
status: New → Triaged
Changed in neutron-fwaas (Ubuntu):
status: New → Triaged
Changed in neutron-fwaas-dashboard (Ubuntu):
status: New → Triaged
Changed in neutron-taas (Ubuntu):
status: New → Triaged
Changed in neutron-vpnaas (Ubuntu):
status: New → Triaged
Changed in nova (Ubuntu):
status: Invalid → Triaged
Changed in octavia (Ubuntu):
status: New → Triaged
Changed in octavia-dashboard (Ubuntu):
status: New → Triaged
Changed in openstack-trove (Ubuntu):
status: New → Triaged
Changed in panko (Ubuntu):
status: New → Triaged
Changed in placement (Ubuntu):
status: New → Triaged
Changed in sahara (Ubuntu):
status: New → Triaged
Changed in sahara-dashboard (Ubuntu):
status: New → Triaged
Changed in senlin (Ubuntu):
status: New → Triaged
Changed in swift (Ubuntu):
status: New → Triaged
Changed in trove-dashboard (Ubuntu):
status: New → Triaged
Changed in vmware-nsx (Ubuntu):
status: New → Triaged
Changed in watcher (Ubuntu):
status: New → Triaged
Changed in watcher-dashboard (Ubuntu):
status: New → Triaged
Changed in zaqar (Ubuntu):
status: New → Triaged
Changed in zvmcloudconnector (Ubuntu):
status: New → Triaged
Changed in aodh (Ubuntu Focal):
status: New → Triaged
Changed in barbican (Ubuntu Focal):
status: New → Triaged
Changed in ceilometer (Ubuntu Focal):
status: New → Triaged
Changed in cinder (Ubuntu Focal):
status: New → Triaged
Changed in designate (Ubuntu Focal):
status: New → Triaged
Changed in designate-dashboard (Ubuntu Focal):
status: New → Triaged
Changed in glance (Ubuntu Focal):
status: New → Triaged
Changed in gnocchi (Ubuntu Focal):
status: New → Triaged
Changed in heat (Ubuntu Focal):
status: New → Triaged
Changed in heat-dashboard (Ubuntu Focal):
status: New → Triaged
Changed in horizon (Ubuntu Focal):
status: New → Triaged
Changed in ironic (Ubuntu Focal):
status: New → Triaged
Changed in ironic-inspector (Ubuntu Focal):
status: New → Triaged
Changed in keystone (Ubuntu Focal):
status: New → Triaged
Changed in magnum (Ubuntu Focal):
status: New → Triaged
Changed in manila (Ubuntu Focal):
status: New → Triaged
Changed in manila-ui (Ubuntu Focal):
status: New → Triaged
Changed in masakari (Ubuntu Focal):
status: New → Triaged
Changed in masakari-monitors (Ubuntu Focal):
status: New → Triaged
Changed in mistral (Ubuntu Focal):
status: New → Triaged
Changed in murano (Ubuntu Focal):
status: New → Triaged
Changed in murano-agent (Ubuntu Focal):
status: New → Triaged
Changed in murano-dashboard (Ubuntu Focal):
status: New → Triaged
Changed in networking-arista (Ubuntu Focal):
status: New → Triaged
Changed in networking-bagpipe (Ubuntu Focal):
status: New → Triaged
Changed in networking-bgpvpn (Ubuntu Focal):
status: New → Triaged
Changed in networking-hyperv (Ubuntu Focal):
status: New → Triaged
Changed in networking-l2gw (Ubuntu Focal):
status: New → Triaged
Changed in networking-odl (Ubuntu Focal):
status: New → Triaged
Changed in networking-sfc (Ubuntu Focal):
status: New → Triaged
Changed in neutron (Ubuntu Focal):
status: New → Triaged
Changed in neutron-dynamic-routing (Ubuntu Focal):
status: New → Triaged
Changed in neutron-fwaas (Ubuntu Focal):
status: New → Triaged
Changed in neutron-fwaas-dashboard (Ubuntu Focal):
status: New → Triaged
Changed in neutron-taas (Ubuntu Focal):
status: New → Triaged
Changed in neutron-vpnaas (Ubuntu Focal):
status: New → Triaged
Changed in octavia (Ubuntu Focal):
status: New → Triaged
Changed in octavia-dashboard (Ubuntu Focal):
status: New → Triaged
Changed in openstack-trove (Ubuntu Focal):
status: New → Triaged
Changed in panko (Ubuntu Focal):
status: New → Triaged
Changed in placement (Ubuntu Focal):
status: New → Triaged
Changed in sahara (Ubuntu Focal):
status: New → Triaged
Changed in sahara-dashboard (Ubuntu Focal):
status: New → Triaged
Changed in senlin (Ubuntu Focal):
status: New → Triaged
Changed in swift (Ubuntu Focal):
status: New → Triaged
Changed in trove-dashboard (Ubuntu Focal):
status: New → Triaged
Changed in vmware-nsx (Ubuntu Focal):
status: New → Triaged
Changed in watcher (Ubuntu Focal):
status: New → Triaged
Changed in watcher-dashboard (Ubuntu Focal):
status: New → Triaged
Changed in zaqar (Ubuntu Focal):
status: New → Triaged
Changed in zvmcloudconnector (Ubuntu Focal):
status: New → Triaged
Changed in aodh (Ubuntu):
importance: Undecided → High
Changed in barbican (Ubuntu):
importance: Undecided → High
Changed in ceilometer (Ubuntu):
importance: Undecided → High
Changed in cinder (Ubuntu):
importance: Undecided → High
Changed in designate (Ubuntu):
importance: Undecided → High
Changed in designate-dashboard (Ubuntu):
importance: Undecided → High
Changed in glance (Ubuntu):
importance: Undecided → High
Changed in gnocchi (Ubuntu):
importance: Undecided → High
Changed in heat (Ubuntu):
importance: Undecided → High
Changed in heat-dashboard (Ubuntu):
importance: Undecided → High
Changed in horizon (Ubuntu):
importance: Undecided → High
Changed in ironic (Ubuntu):
importance: Undecided → High
Changed in ironic-inspector (Ubuntu):
importance: Undecided → High
Changed in keystone (Ubuntu):
importance: Undecided → High
Changed in magnum (Ubuntu):
importance: Undecided → High
Changed in manila (Ubuntu):
importance: Undecided → High
Changed in manila-ui (Ubuntu):
importance: Undecided → High
Changed in masakari (Ubuntu):
importance: Undecided → High
Changed in masakari-monitors (Ubuntu):
importance: Undecided → High
Changed in mistral (Ubuntu):
importance: Undecided → High
Changed in murano (Ubuntu):
importance: Undecided → High
Changed in murano-agent (Ubuntu):
importance: Undecided → High
Changed in murano-dashboard (Ubuntu):
importance: Undecided → High
Changed in networking-arista (Ubuntu):
importance: Undecided → High
Changed in networking-bagpipe (Ubuntu):
importance: Undecided → High
Changed in networking-bgpvpn (Ubuntu):
importance: Undecided → High
Changed in networking-hyperv (Ubuntu):
importance: Undecided → High
Changed in networking-l2gw (Ubuntu):
importance: Undecided → High
Changed in networking-odl (Ubuntu):
importance: Undecided → High
Changed in networking-sfc (Ubuntu):
importance: Undecided → High
Changed in neutron (Ubuntu):
importance: Undecided → High
Changed in neutron-dynamic-routing (Ubuntu):
importance: Undecided → High
Changed in neutron-fwaas (Ubuntu):
importance: Undecided → High
Changed in neutron-fwaas-dashboard (Ubuntu):
importance: Undecided → High
Changed in neutron-taas (Ubuntu):
importance: Undecided → High
Changed in neutron-vpnaas (Ubuntu):
importance: Undecided → High
Changed in nova (Ubuntu):
importance: Undecided → High
Changed in octavia (Ubuntu):
importance: Undecided → High
Changed in octavia-dashboard (Ubuntu):
importance: Undecided → High
Changed in openstack-trove (Ubuntu):
importance: Undecided → High
Changed in panko (Ubuntu):
importance: Undecided → High
Changed in placement (Ubuntu):
importance: Undecided → High
Changed in sahara (Ubuntu):
importance: Undecided → High
Changed in sahara-dashboard (Ubuntu):
importance: Undecided → High
Changed in senlin (Ubuntu):
importance: Undecided → High
Changed in swift (Ubuntu):
importance: Undecided → High
Changed in trove-dashboard (Ubuntu):
importance: Undecided → High
Changed in vmware-nsx (Ubuntu):
importance: Undecided → High
Changed in watcher (Ubuntu):
importance: Undecided → High
Changed in watcher-dashboard (Ubuntu):
importance: Undecided → High
Changed in zaqar (Ubuntu):
importance: Undecided → High
Changed in zvmcloudconnector (Ubuntu):
importance: Undecided → High
Changed in aodh (Ubuntu Focal):
importance: Undecided → High
Changed in barbican (Ubuntu Focal):
importance: Undecided → High
Changed in ceilometer (Ubuntu Focal):
importance: Undecided → High
Changed in cinder (Ubuntu Focal):
importance: Undecided → High
Changed in designate (Ubuntu Focal):
importance: Undecided → High
Changed in designate-dashboard (Ubuntu Focal):
importance: Undecided → High
Changed in glance (Ubuntu Focal):
importance: Undecided → High
Changed in gnocchi (Ubuntu Focal):
importance: Undecided → High
Changed in heat (Ubuntu Focal):
importance: Undecided → High
Changed in heat-dashboard (Ubuntu Focal):
importance: Undecided → High
Changed in horizon (Ubuntu Focal):
importance: Undecided → High
Changed in ironic (Ubuntu Focal):
importance: Undecided → High
Changed in ironic-inspector (Ubuntu Focal):
importance: Undecided → High
Changed in keystone (Ubuntu Focal):
importance: Undecided → High
Changed in magnum (Ubuntu Focal):
importance: Undecided → High
Changed in manila (Ubuntu Focal):
importance: Undecided → High
Changed in manila-ui (Ubuntu Focal):
importance: Undecided → High
Changed in masakari (Ubuntu Focal):
importance: Undecided → High
Changed in masakari-monitors (Ubuntu Focal):
importance: Undecided → High
Changed in mistral (Ubuntu Focal):
importance: Undecided → High
Changed in murano (Ubuntu Focal):
importance: Undecided → High
Changed in murano-agent (Ubuntu Focal):
importance: Undecided → High
Changed in murano-dashboard (Ubuntu Focal):
importance: Undecided → High
Changed in networking-arista (Ubuntu Focal):
importance: Undecided → High
Changed in networking-bagpipe (Ubuntu Focal):
importance: Undecided → High
Changed in networking-bgpvpn (Ubuntu Focal):
importance: Undecided → High
Changed in networking-hyperv (Ubuntu Focal):
importance: Undecided → High
Changed in networking-l2gw (Ubuntu Focal):
importance: Undecided → High
Changed in networking-odl (Ubuntu Focal):
importance: Undecided → High
Changed in networking-sfc (Ubuntu Focal):
importance: Undecided → High
Changed in neutron (Ubuntu Focal):
importance: Undecided → High
Changed in neutron-dynamic-routing (Ubuntu Focal):
importance: Undecided → High
Changed in neutron-fwaas (Ubuntu Focal):
importance: Undecided → High
Changed in neutron-fwaas-dashboard (Ubuntu Focal):
importance: Undecided → High
Changed in neutron-taas (Ubuntu Focal):
importance: Undecided → High
Changed in neutron-vpnaas (Ubuntu Focal):
importance: Undecided → High
Changed in octavia (Ubuntu Focal):
importance: Undecided → High
Changed in octavia-dashboard (Ubuntu Focal):
importance: Undecided → High
Changed in openstack-trove (Ubuntu Focal):
importance: Undecided → High
Changed in panko (Ubuntu Focal):
importance: Undecided → High
Changed in placement (Ubuntu Focal):
importance: Undecided → High
Changed in sahara (Ubuntu Focal):
importance: Undecided → High
Changed in sahara-dashboard (Ubuntu Focal):
importance: Undecided → High
Changed in senlin (Ubuntu Focal):
importance: Undecided → High
Changed in swift (Ubuntu Focal):
importance: Undecided → High
Changed in trove-dashboard (Ubuntu Focal):
importance: Undecided → High
Changed in vmware-nsx (Ubuntu Focal):
importance: Undecided → High
Changed in watcher (Ubuntu Focal):
importance: Undecided → High
Changed in watcher-dashboard (Ubuntu Focal):
importance: Undecided → High
Changed in zaqar (Ubuntu Focal):
importance: Undecided → High
Changed in zvmcloudconnector (Ubuntu Focal):
importance: Undecided → High
no longer affects: python-oslo.service (Ubuntu)
Changed in python-ironic-lib (Ubuntu):
status: New → Fix Released
Changed in python-ironic-lib (Ubuntu Focal):
importance: Undecided → High
status: New → Triaged
no longer affects: python-oslo.service (Ubuntu Focal)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ironic - 1:15.0.0-0ubuntu1

---------------
ironic (1:15.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/725857. This fixes neutron service failures
    with Python 3.8 (LP: #1863021).

 -- Chris MacNaughton <email address hidden> Wed, 13 May 2020 07:35:17 +0000

Changed in ironic (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package watcher-dashboard - 3.0.0-0ubuntu1

---------------
watcher-dashboard (3.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 2.x series and get tarballs from opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 14:30:29 -0400

Changed in watcher-dashboard (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package designate-dashboard - 10.0.0-0ubuntu1

---------------
designate-dashboard (10.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 10.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 14:28:42 -0400

Changed in designate-dashboard (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 2:20.0.0-0ubuntu1

---------------
glance (2:20.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 20.x series.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 13:55:45 -0400

Changed in glance (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package manila-ui - 1:3.0.0-0ubuntu1

---------------
manila-ui (1:3.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Tue, 12 May 2020 16:29:45 -0400

Changed in manila-ui (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package trove-dashboard - 14.0.0-0ubuntu1

---------------
trove-dashboard (14.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 14.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 14:30:30 -0400

Changed in trove-dashboard (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-fwaas-dashboard - 1:3.0.0-0ubuntu1

---------------
neutron-fwaas-dashboard (1:3.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 14:29:24 -0400

Changed in neutron-fwaas-dashboard (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package murano-dashboard - 1:9.0.0-0ubuntu1

---------------
murano-dashboard (1:9.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 9.x series and get tarballs from opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 14:29:24 -0400

Changed in murano-dashboard (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octavia-dashboard - 5.0.0-0ubuntu1

---------------
octavia-dashboard (5.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 5.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 14:29:51 -0400

Changed in octavia-dashboard (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 3:18.3.2-0ubuntu1

---------------
horizon (3:18.3.2-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Tue, 12 May 2020 16:15:28 -0400

Changed in horizon (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat-dashboard - 3.0.0-0ubuntu1

---------------
heat-dashboard (3.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 3.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 14:25:11 -0400

Changed in heat-dashboard (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 2:21.0.0-0ubuntu1

---------------
nova (2:21.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 21.x series and get tarballs from opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 14:00:09 -0400

Changed in nova (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sahara-dashboard - 12.0.0-0ubuntu1

---------------
sahara-dashboard (12.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 12.x series and get tarballs from opendev.org.
  * d/p/skip-django224-tests.patch: Dropped. No longer needed.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 14:30:19 -0400

Changed in sahara-dashboard (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 2:16.0.0-0ubuntu1

---------------
neutron (2:16.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 16.x series.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed
    in upstream release.

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 17:06:16 -0400

Changed in neutron (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 2:17.0.0-0ubuntu1

---------------
keystone (2:17.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 17.x series and get tarballs from opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/update-babel-requirement.txt: Dropped now that Babel has been
    dropped from upstream requirements.txt.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 17:10:34 -0400

Changed in keystone (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package designate - 1:10.0.0-0ubuntu1

---------------
designate (1:10.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Get tarballs from opendev.org and scope to 10.x series.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/725346/)
    to fix Python 3.8 monkey patching (LP: #1863021).
  * d/p/disable-edgegrid.patch: Rebased.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 16:50:55 -0400

Changed in designate (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package aodh - 10.0.0-0ubuntu1

---------------
aodh (10.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Update to get release tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 13:27:11 -0400

Changed in aodh (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceilometer - 1:14.0.0-0ubuntu1

---------------
ceilometer (1:14.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Update tarball URL to https opendev.org endpoint.
  * d/control: Align Depends with upstream.

 -- Chris MacNaughton <email address hidden> Thu, 14 May 2020 08:42:07 +0000

Changed in ceilometer (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package masakari-monitors - 9.0.0-0ubuntu1

---------------
masakari-monitors (9.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release OpenStack Ussuri (LP: #1877642).
  * d/watch: Update to point at opendev.org.

 -- Chris MacNaughton <email address hidden> Thu, 14 May 2020 09:09:44 +0000

Changed in masakari-monitors (Ubuntu):
status: Triaged → Fix Released
1 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package barbican - 1:10.0.0-0ubuntu1

---------------
barbican (1:10.0.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/watch: Update to get release tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: update to the correct version regex.

  [ Corey Bryant ]
  * d/watch: Scope to 10.x series.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/725353/)
    to fix Python 3.8 monkey patching (LP: #1863021).

 -- Chris MacNaughton <email address hidden> Thu, 14 May 2020 08:13:29 +0000

Changed in barbican (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package networking-odl - 1:16.0.0-0ubuntu1

---------------
networking-odl (1:16.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 16.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 13:53:09 -0400

Changed in networking-odl (Ubuntu):
status: Triaged → Fix Released
2 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package networking-hyperv - 1:8.0.0-0ubuntu1

---------------
networking-hyperv (1:8.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream to fix Python 3.8 monkey patching (LP: #1863021).

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 13:48:05 -0400

Changed in networking-hyperv (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package networking-bgpvpn - 12.0.0-0ubuntu1

---------------
networking-bgpvpn (12.0.0-0ubuntu1) groovy; urgency=medium

  * d/p/fix-mock.patch: Cherry-picked from https://review.opendev.org/#/c/722308 to
    fix unit test failures.
  * d/watch: Scope to 12.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 14:03:10 -0400

Changed in networking-bgpvpn (Ubuntu):
status: Triaged → Fix Released
1 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package networking-bagpipe - 12.0.0-0ubuntu1

---------------
networking-bagpipe (12.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 12.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream to fix Python 3.8 monkey patching (LP: #1863021).

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 13:52:15 -0400

Changed in networking-bagpipe (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ironic-inspector - 1:10.1.0-0ubuntu1

---------------
ironic-inspector (1:10.1.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/727184. This fixes service failures
    with Python 3.8 (LP: #1863021).

  [ Corey Bryant ]
  * d/p/use-latest-version-of-python-construct.patch: Cherry-picked from
    upstream master. This fixes AttributeErrors detect when running unit
    tests on groovy.
  * d/control: Bump min version of python3-construct (Build-)Depends.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 10:19:06 -0400

Changed in ironic-inspector (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octavia - 6.0.0-0ubuntu1

---------------
octavia (6.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 14:43:41 -0400

Changed in octavia (Ubuntu):
status: Triaged → Fix Released
1 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package manila - 1:10.0.0-0ubuntu1

---------------
manila (1:10.0.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/728079/. This fixes service failures
    with Python 3.8 (LP: #1863021)
  * d/watch: Scope to 10.x series.
  * d/watch: Update to point at tarballs.opendev.org.

  [ Corey Bryant ]
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <email address hidden> Thu, 14 May 2020 13:36:55 +0000

Changed in manila (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-fwaas - 1:16.0.0-0ubuntu1

---------------
neutron-fwaas (1:16.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 16.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 13:53:49 -0400

Changed in neutron-fwaas (Ubuntu):
status: Triaged → Fix Released
1 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package zaqar - 10.0.0-0ubuntu1

---------------
zaqar (10.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Update to point at opendev.org.
  * d/watch: track 10.x series.

 -- Chris MacNaughton <email address hidden> Thu, 14 May 2020 09:35:51 +0000

Changed in zaqar (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-dynamic-routing - 2:16.0.0-0ubuntu1

---------------
neutron-dynamic-routing (2:16.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 16.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 13:52:57 -0400

Changed in neutron-dynamic-routing (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package placement - 3.0.0-0ubuntu1

---------------
placement (3.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Track 3.x series.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 14:46:36 -0400

Changed in placement (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-vpnaas - 2:16.0.0-0ubuntu1

---------------
neutron-vpnaas (2:16.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 16.x series.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 13:54:51 -0400

Changed in neutron-vpnaas (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package swift - 2.25.0-0ubuntu1

---------------
swift (2.25.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 14:47:36 -0400

Changed in swift (Ubuntu):
status: Triaged → Fix Released
1 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package networking-sfc - 10.0.0-0ubuntu1

---------------
networking-sfc (10.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 10.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream to fix Python 3.8 monkey patching (LP: #1863021).
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 14:41:04 -0400

Changed in networking-sfc (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package networking-l2gw - 1:16.0.0~git2020051415.30f4209-0ubuntu1

---------------
networking-l2gw (1:16.0.0~git2020051415.30f4209-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 15:29:10 -0400

Changed in networking-l2gw (Ubuntu):
status: Triaged → Fix Released
description: updated
no longer affects: gnocchi (Ubuntu)
no longer affects: gnocchi (Ubuntu Focal)
no longer affects: zvmcloudconnector (Ubuntu)
no longer affects: zvmcloudconnector (Ubuntu Focal)
1 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package murano-agent - 1:5.0.0-0ubuntu1

---------------
murano-agent (1:5.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Scope to 5.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <email address hidden> Fri, 15 May 2020 08:07:29 +0000

Changed in murano-agent (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mistral - 10.0.0-0ubuntu1

---------------
mistral (10.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/728369/. This fixes service failures
    with Python 3.8 (LP: #1863021)
  * d/watch: Scope to 10.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <email address hidden> Fri, 15 May 2020 06:53:28 +0000

Changed in mistral (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package senlin - 9.0.0-0ubuntu1

---------------
senlin (9.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/727186/. This fixes service failures
    with Python 3.8 (LP: #1863021)
  * d/watch: Scope to 9.x series.
  * d/watch: Update to point at tarballs.opendev.org.

 -- Chris MacNaughton <email address hidden> Fri, 15 May 2020 09:11:06 +0000

Changed in senlin (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package watcher - 1:4.0.0-0ubuntu1

---------------
watcher (1:4.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/728397/. This fixes service failures
    with Python 3.8 (LP: #1863021)
  * d/watch: Scope to 4.x series.
  * d/watch: Update to point at tarballs.opendev.org.

 -- Chris MacNaughton <email address hidden> Fri, 15 May 2020 09:28:34 +0000

Changed in watcher (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openstack-trove - 1:13.0.0-0ubuntu1

---------------
openstack-trove (1:13.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Scope to 13.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/725672/)
    to fix Python 3.8 monkey patching (LP: #1863021).

 -- Chris MacNaughton <email address hidden> Fri, 15 May 2020 08:39:05 +0000

Changed in openstack-trove (Ubuntu):
status: Triaged → Fix Released
Changed in murano (Ubuntu):
status: Triaged → Fix Released
no longer affects: networking-arista (Ubuntu)
no longer affects: networking-arista (Ubuntu Focal)
no longer affects: neutron-taas (Ubuntu Focal)
no longer affects: neutron-taas (Ubuntu)
Steve Langasek (vorlon) on 2020-05-15
Changed in python-ironic-lib (Ubuntu Focal):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-focal
Steve Langasek (vorlon) on 2020-05-15
Changed in ironic (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in magnum (Ubuntu):
status: Triaged → Fix Released
Steve Langasek (vorlon) on 2020-05-15
Changed in aodh (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in sahara (Ubuntu):
status: Triaged → Fix Released
Steve Langasek (vorlon) on 2020-05-15
Changed in glance (Ubuntu Focal):
status: Triaged → Fix Committed
Steve Langasek (vorlon) on 2020-05-15
Changed in horizon (Ubuntu Focal):
status: Triaged → Fix Committed
Steve Langasek (vorlon) on 2020-05-15
Changed in nova (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in heat-dashboard (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in designate-dashboard (Ubuntu Focal):
status: Triaged → Fix Committed
Steve Langasek (vorlon) on 2020-05-15
Changed in manila-ui (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in watcher-dashboard (Ubuntu Focal):
status: Triaged → Fix Committed
Steve Langasek (vorlon) on 2020-05-15
Changed in trove-dashboard (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in neutron-fwaas-dashboard (Ubuntu Focal):
status: Triaged → Fix Committed
Steve Langasek (vorlon) on 2020-05-15
Changed in octavia-dashboard (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in sahara-dashboard (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in murano-dashboard (Ubuntu Focal):
status: Triaged → Fix Committed
Steve Langasek (vorlon) on 2020-05-15
Changed in keystone (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in heat (Ubuntu Focal):
status: Triaged → Fix Committed
Steve Langasek (vorlon) on 2020-05-15
Changed in neutron (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in designate (Ubuntu Focal):
status: Triaged → Fix Committed
Steve Langasek (vorlon) on 2020-05-15
Changed in barbican (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in ceilometer (Ubuntu Focal):
status: Triaged → Fix Committed
Steve Langasek (vorlon) on 2020-05-15
Changed in ironic-inspector (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in magnum (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in cinder (Ubuntu):
status: Triaged → Fix Released
Steve Langasek (vorlon) on 2020-05-16
Changed in masakari-monitors (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in cinder (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in openstack-trove (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in murano-agent (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in masakari (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in networking-l2gw (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in placement (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in networking-bagpipe (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in panko (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in zaqar (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in panko (Ubuntu):
status: Triaged → Fix Released
Changed in neutron-dynamic-routing (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in networking-hyperv (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in networking-bgpvpn (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in networking-odl (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in networking-sfc (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in neutron-fwaas (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in neutron-vpnaas (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in octavia (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in swift (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in manila (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in mistral (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in murano (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in senlin (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in masakari (Ubuntu Focal):
status: Fix Committed → Triaged
description: updated
Changed in watcher (Ubuntu Focal):
status: Triaged → Fix Committed
description: updated
Changed in sahara (Ubuntu Focal):
status: Triaged → Fix Committed
Changed in masakari (Ubuntu):
status: Triaged → Fix Released
Changed in masakari (Ubuntu Focal):
status: Triaged → Fix Committed
tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Changed in networking-mlnx (Ubuntu):
importance: Undecided → High
status: New → Fix Released
Changed in vmware-nsx (Ubuntu):
status: Triaged → Won't Fix
Changed in vmware-nsx (Ubuntu Focal):
status: Triaged → Won't Fix
Changed in heat (Ubuntu):
status: Triaged → Fix Released
68 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 2:17.0.0-0ubuntu0.20.04.1

---------------
keystone (2:17.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 17.x series and get tarballs from opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/update-babel-requirement.txt: Dropped now that Babel has been
    dropped from upstream requirements.txt.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 17:10:34 -0400

Changed in python-ironic-lib (Ubuntu Focal):
status: Fix Committed → Fix Released
Changed in ironic (Ubuntu Focal):
status: Fix Committed → Fix Released
Changed in glance (Ubuntu Focal):
status: Fix Committed → Fix Released
Changed in nova (Ubuntu Focal):
status: Fix Committed → Fix Released
Changed in trove-dashboard (Ubuntu Focal):
status: Fix Committed → Fix Released
Changed in watcher-dashboard (Ubuntu Focal):
status: Fix Committed → Fix Released
Changed in sahara-dashboard (Ubuntu Focal):
status: Fix Committed → Fix Released
Changed in octavia-dashboard (Ubuntu Focal):
status: Fix Committed → Fix Released
Changed in keystone (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package murano-dashboard - 1:9.0.0-0ubuntu0.20.04.1

---------------
murano-dashboard (1:9.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 9.x series and get tarballs from opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 14:29:24 -0400

Changed in murano-dashboard (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 1:14.0.0-0ubuntu0.20.04.1

---------------
heat (1:14.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 14.x series and get tarballs from opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/727181/)
    to fix Python 3.8 monkey patching (LP: #1863021).
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 16:51:44 -0400

Changed in heat (Ubuntu Focal):
status: Fix Committed → Fix Released
1 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package magnum - 10.0.0-0ubuntu0.20.04.1

---------------
magnum (10.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/728010. This fixes service failures
    with Python 3.8 (LP: #1863021).

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 12:31:17 -0400

Changed in magnum (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceilometer - 1:14.0.0-0ubuntu0.20.04.1

---------------
ceilometer (1:14.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Update tarball URL to https opendev.org endpoint.
  * d/control: Align Depends with upstream.

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 10:57:01 -0400

Changed in ceilometer (Ubuntu Focal):
status: Fix Committed → Fix Released
1 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package masakari-monitors - 9.0.0-0ubuntu0.20.04.1

---------------
masakari-monitors (9.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release OpenStack Ussuri (LP: #1877642).
  * d/watch: Update to point at opendev.org.

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 12:39:29 -0400

Changed in masakari-monitors (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package aodh - 10.0.0-0ubuntu0.20.04.1

---------------
aodh (10.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Update to get release tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/control: Align (Build-)Depends with upstream.
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 13:27:11 -0400

Changed in aodh (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat-dashboard - 3.0.0-0ubuntu0.20.04.1

---------------
heat-dashboard (3.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 3.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 14:25:11 -0400

Changed in heat-dashboard (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 3:18.3.2-0ubuntu0.20.04.1

---------------
horizon (3:18.3.2-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Tue, 12 May 2020 16:15:28 -0400

Changed in horizon (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package manila-ui - 1:3.0.0-0ubuntu0.20.04.1

---------------
manila-ui (1:3.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Tue, 12 May 2020 16:29:45 -0400

Changed in manila-ui (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-fwaas-dashboard - 1:3.0.0-0ubuntu0.20.04.1

---------------
neutron-fwaas-dashboard (1:3.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 14:29:24 -0400

Changed in neutron-fwaas-dashboard (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 2:16.0.0-0ubuntu0.20.04.1

---------------
neutron (2:16.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 16.x series.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed
    in upstream release.
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 17:06:16 -0400

Changed in neutron (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package designate - 1:10.0.0-0ubuntu0.20.04.1

---------------
designate (1:10.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Get tarballs from opendev.org and scope to 10.x series.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/725346/)
    to fix Python 3.8 monkey patching (LP: #1863021).
  * d/p/disable-edgegrid.patch: Rebased.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 16:50:55 -0400

Changed in designate (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ironic-inspector - 1:10.1.0-0ubuntu0.20.04.1

---------------
ironic-inspector (1:10.1.0-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/727184. This fixes service failures
    with Python 3.8 (LP: #1863021).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Chris MacNaughton <email address hidden> Thu, 14 May 2020 09:57:10 +0000

Changed in ironic-inspector (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package barbican - 1:10.0.0-0ubuntu0.20.04.1

---------------
barbican (1:10.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * d/watch: Update to get release tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: update to the correct version regex.
  * d/gbp.conf: Create stable/ussuri branch.

  [ Corey Bryant ]
  * d/watch: Scope to 10.x series.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/725353/)
    to fix Python 3.8 monkey patching (LP: #1863021).

 -- Chris MacNaughton <email address hidden> Thu, 14 May 2020 08:13:29 +0000

Changed in barbican (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 2:16.0.0-0ubuntu0.20.04.1

---------------
cinder (2:16.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * d/watch: Update tarball version.
  * d/p/py38skip.patch: Refresh patch.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Fri, 15 May 2020 13:45:11 -0400

Changed in cinder (Ubuntu Focal):
status: Fix Committed → Fix Released
1 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openstack-trove - 1:13.0.0-0ubuntu0.20.04.1

---------------
openstack-trove (1:13.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Scope to 13.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/725672/)
    to fix Python 3.8 monkey patching (LP: #1863021).

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Fri, 15 May 2020 09:50:59 -0400

Changed in openstack-trove (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package murano-agent - 1:5.0.0-0ubuntu0.20.04.1

---------------
murano-agent (1:5.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Scope to 5.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Fri, 15 May 2020 09:38:54 -0400

Changed in murano-agent (Ubuntu Focal):
status: Fix Committed → Fix Released
1 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package placement - 3.0.0-0ubuntu0.20.04.1

---------------
placement (3.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Track 3.x series.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 14:46:36 -0400

Changed in placement (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package networking-bagpipe - 12.0.0-0ubuntu0.20.04.1

---------------
networking-bagpipe (12.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 12.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream to fix Python 3.8 monkey patching (LP: #1863021).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 13:52:15 -0400

Changed in networking-bagpipe (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package designate-dashboard - 10.0.0-0ubuntu0.20.04.1

---------------
designate-dashboard (10.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 10.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Wed, 13 May 2020 14:28:42 -0400

Changed in designate-dashboard (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package zaqar - 10.0.0-0ubuntu0.20.04.1

---------------
zaqar (10.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Update to point at opendev.org.
  * d/watch: track 10.x series.

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 12:42:48 -0400

Changed in zaqar (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-dynamic-routing - 2:16.0.0-0ubuntu0.20.04.1

---------------
neutron-dynamic-routing (2:16.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 16.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 13:52:57 -0400

Changed in neutron-dynamic-routing (Ubuntu Focal):
status: Fix Committed → Fix Released
1 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package networking-hyperv - 1:8.0.0-0ubuntu0.20.04.1

---------------
networking-hyperv (1:8.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream to fix Python 3.8 monkey patching (LP: #1863021).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 13:48:05 -0400

Changed in networking-hyperv (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package networking-bgpvpn - 12.0.0-0ubuntu0.20.04.1

---------------
networking-bgpvpn (12.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/p/fix-mock.patch: Cherry-picked from https://review.opendev.org/#/c/722308 to
    fix unit test failures.
  * d/watch: Scope to 12.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 14:03:10 -0400

Changed in networking-bgpvpn (Ubuntu Focal):
status: Fix Committed → Fix Released
1 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octavia - 6.0.0-0ubuntu0.20.04.1

---------------
octavia (6.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 14:43:41 -0400

Changed in octavia (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package networking-l2gw - 1:16.0.0~git2020051415.30f4209-0ubuntu0.20.04.1

---------------
networking-l2gw (1:16.0.0~git2020051415.30f4209-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 15:29:10 -0400

Changed in networking-l2gw (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-fwaas - 1:16.0.0-0ubuntu0.20.04.1

---------------
neutron-fwaas (1:16.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 16.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 13:53:49 -0400

Changed in neutron-fwaas (Ubuntu Focal):
status: Fix Committed → Fix Released
2 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package networking-sfc - 10.0.0-0ubuntu0.20.04.1

---------------
networking-sfc (10.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 10.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream to fix Python 3.8 monkey patching (LP: #1863021).
  * d/control: Align (Build-)Depends with upstream.
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 14:41:04 -0400

Changed in networking-sfc (Ubuntu Focal):
status: Fix Committed → Fix Released
1 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-vpnaas - 2:16.0.0-0ubuntu0.20.04.1

---------------
neutron-vpnaas (2:16.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 16.x series.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 13:54:51 -0400

Changed in neutron-vpnaas (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package swift - 2.25.0-0ubuntu0.20.04.1

---------------
swift (2.25.0-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 14:47:36 -0400

Changed in swift (Ubuntu Focal):
status: Fix Committed → Fix Released
2 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mistral - 10.0.0-0ubuntu0.20.04.1

---------------
mistral (10.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/728369/. This fixes service failures
    with Python 3.8 (LP: #1863021)
  * d/watch: Scope to 10.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Fri, 15 May 2020 09:37:52 -0400

Changed in mistral (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package murano - 1:9.0.0-0ubuntu0.20.04.1

---------------
murano (1:9.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Scope to 9.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/p/skip-py38-failures.patch: Refresh patch.
  * d/p/skip-semantic-version-2.8.2-tests.patch: Refresh patch.

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Fri, 15 May 2020 10:01:52 -0400

Changed in murano (Ubuntu Focal):
status: Fix Committed → Fix Released
2 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package senlin - 9.0.0-0ubuntu0.20.04.1

---------------
senlin (9.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/727186/. This fixes service failures
    with Python 3.8 (LP: #1863021)
  * d/watch: Scope to 9.x series.
  * d/watch: Update to point at tarballs.opendev.org.

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Fri, 15 May 2020 10:02:46 -0400

Changed in senlin (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sahara - 1:12.0.0-0ubuntu0.20.04.1

---------------
sahara (1:12.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Scope to 12.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/p/use-flask-builtin-method-for-test-context.patch: Cherry-picked
    from upstream stable/ussuri (https://review.opendev.org/#/c/728566/)
    to fix unit test failures with Python 3.8 (LP: #1878978).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Fri, 15 May 2020 15:45:40 -0400

Changed in sahara (Ubuntu Focal):
status: Fix Committed → Fix Released
1 comments hidden view all 148 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package masakari - 9.0.0-0ubuntu0.20.04.2

---------------
masakari (9.0.0-0ubuntu0.20.04.2) focal; urgency=medium

  * d/control, d/py3dist-overrides: Drop (Build-)Depends on
    universe package python3-sqlalchemy-utils. This was added in
    9.0.0 but only needed for upstream devstack gate job.

masakari (9.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/728104/. This fixes service failures
    with Python 3.8 (LP: #1863021)
  * d/watch: Scope to 9.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Tue, 19 May 2020 13:04:38 -0400

Changed in masakari (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package networking-odl - 1:16.0.0-0ubuntu0.20.04.1

---------------
networking-odl (1:16.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 16.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 13:53:09 -0400

Changed in networking-odl (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package manila - 1:10.0.0-0ubuntu0.20.04.1

---------------
manila (1:10.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/728079/. This fixes service failures
    with Python 3.8 (LP: #1863021)
  * d/watch: Scope to 10.x series.
  * d/watch: Update to point at tarballs.opendev.org.

  [ Corey Bryant ]
  * d/control: Align (Build-)Depends with upstream.
  * d/gbp.conf: Create stable/ussuri branch.

 -- Chris MacNaughton <email address hidden> Thu, 14 May 2020 13:36:55 +0000

Changed in manila (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package watcher - 1:4.0.0-0ubuntu0.20.04.1

---------------
watcher (1:4.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/728397/. This fixes service failures
    with Python 3.8 (LP: #1863021)
  * d/watch: Scope to 4.x series.
  * d/watch: Update to point at tarballs.opendev.org.

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Fri, 15 May 2020 10:03:39 -0400

Changed in watcher (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package panko - 8.0.0-0ubuntu0.20.04.1

---------------
panko (8.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Update tarball URL to opendev.org.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <email address hidden> Thu, 14 May 2020 12:41:18 -0400

Changed in panko (Ubuntu Focal):
status: Fix Committed → Fix Released
Displaying first 40 and last 40 comments. View all 148 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers